<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.javaee.run.configuration.CommonModel com.intellij.task.ProjectTask getCompileTask()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel boolean isApplicationServerNeeded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel java.util.List&lt;com.intellij.openapi.util.Pair&lt;java.lang.String,java.lang.String&gt;&gt; getExternalizationMacros()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel void writePersistent(org.jdom.Element)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.J2EEConfigurationType J2EEConfigurationType(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.J2EEConfigurationType com.intellij.execution.configurations.ConfigurationFactory createLocalFactory()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.RunnerSpecificConfigurationBit com.intellij.execution.runners.JvmPatchableProgramRunner&lt;?&gt; getRunner()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase void readPasswords()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase boolean isEmptyPasswords()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase void writePasswords()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel com.intellij.task.ProjectTask getCompileTask(com.intellij.openapi.project.Project, com.intellij.task.ProjectTask)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel void readPersistent(org.jdom.Element)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase void writePassword(java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel void setTemplate(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase void readPassword(java.lang.String, java.util.function.Consumer&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel void onNewConfigurationCreated()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel boolean needsToBeMigrated()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.J2EEConfigurationType java.util.List&lt;com.intellij.execution.configurations.ConfigurationFactory&gt; computeFactories()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.CommonModel com.intellij.javaee.appServers.run.configuration.ServerModel getServerModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModelBase boolean isDefaultPasswords()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.J2EEConfigurationFactory com.intellij.execution.configurations.ConfigurationFactory createFactory(com.intellij.javaee.run.configuration.J2EEConfigurationType, boolean, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.ServerModel void onConfigurationCopied()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5684.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.javaee.run.configuration.CommonModel java.util.List&lt;com.intellij.packaging.artifacts.Artifact&gt; getArtifactsToBuild()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.6512.17&quot;"/>
    </annotation>
  </item>
</root>
